# Contributing

## Why Should I Contribute?

Hacktoberfest has a simple and plain motto.

> Support open source and earn a limited edition T-shirt and few stickers!

So, yes! You can win a T-Shirt and few awesome stickers to attach on your laptop. On plus side, you will get into beautiful world of open source and get the international exposure. 

***

## How To Contribute?

We love pull requests from everyone. By participating in this project, you agree to play nice with others.

1. Fork the repo.

1. Clone the repo.

    ```    
    git clone https://github.com/<your-github-username>/MT4-Telegram-Bot-Recon <your-directory-name>
    ```

1. Change to the repository directory on your computer:

    ```
    cd <your-directory-name>
    ```

1. Create & checkout into a new branch `<name-of-branch>` using

    ```
    git checkout -b <name-of-branch>
    ```

Now you make changes to the source code.

1. Next, add and commit the changes to your local repository.

    ```
    git add .
    git commit
    ```

We recommend that you append the issue number #x to your commit message title.

1. Push the changes your branch.

    ```
    git push origin <name-of-branch>
    ```

1. Submit a Pull Request

Go to your forked repository on GitHub, you'll see a "Compare and Pull Request" button. Click on that button and submit your PR.

***

## That's it!

At this point you're waiting on us. We like to at least comment on pull requests ["PRs"] within five business days (and, typically, three business day). We may suggest some changes or improvements or alternatives.

Some things that will increase the chance that your PR is accepted:

- Test your source code.
- Follow our style guide (see examples within code).
- Write a [good commit message](http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html).
